WiPay
WAPIsv2.0.2Transactions

Get Fees

Calculate the fees for a given amount, currency, and fee structure.

GET
/transactions/fees
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Query Parameters

fee_structurestring

See Get Metadata for acceptable values.

Value in"customer_pay" | "merchant_absorb" | "split"
currencystring

Currency code. See Get Metadata for supported currencies.

amountnumber

Transaction amount. See Get Metadata for currency min/max limits.

Response Body

curl -X GET "https://tt.wipayfinancial.com/wapi/transactions/fees?fee_structure=customer_pay&currency=string&amount=0"
{
  "message": "string",
  "data": {
    "cus_t": 0,
    "cus_t_fee": 0,
    "mer_t": 0,
    "mer_t_fee": 0,
    "org_t": 0,
    "fee_name": "string",
    "type": "string",
    "cus_desc": "string",
    "mer_desc": "string"
  }
}
{
  "message": "string"
}